Subject: [nfsv4] draft-05 has been submitted and is available at nfsv4-editor.org

From: Spencer Shepler <[email-masked]>
Date: Tue, 15 Aug 2006 03:28:53 -0500

I have submitted the draft-05 update and it should be available from
the IETF site within a day or two.

If you would like to get an early look, you will have txt/html copies
at nfsv4-editor.org.  Specifically:

http://www.nfsv4-editor.org/draft05/draft-ietf-nfsv4-minorversion1-04.txt
http://www.nfsv4-editor.org/draft05/draft-ietf-nfsv4-minorversion1-05.html
http://www.nfsv4-editor.org/draft05/nfs41_prot.x

Note that the final link is to the matching dot-x file.

The list of issues resolved in this draft is below.

This I-D represents a quickly converging/functionally complete
NFSv4.1.  The only issue NOT in the issue tracker, that I know,
that represents new functionality is the ACL inheritance proposal
that is forthcoming.

If you know of something that has been discussed that is not in
the issue tracker, please enter it now.  Otherwise, the date
has passed for additions of new functionality.  We are moving to
the phase of the document review where the focus is on
correcting inconsistencies, inadequate explanations or outright errors.

Spencer

<resolved issues in draft-05>
-----------------------------

3	Sessions -- Optional or mandatory
5	add current stateid text
7	CCM: determine nature of inclusion in NFSv4.1 specification
13	NFS4ERR_BAD_STATEID and current file
16	dead clients and NFS4ERR_EXPIRED vs. NFS4ERR_BAD_STATEID
17	NFS4ERR_EXPIRED vs. NFS4ERR_BAD_STATEID vs. NFS4ERR_ADMIN_REVOKED
22	nfs4_prot.x needed that reflects current state of I-D
25	Spec needs clarifications for client's actions upon receipt of _EXPIRED
34	Sessions, implicit renewal, and certain errors
39	Rewrite and clarify areas of 4.1 that refer to open/lock owner
40	pNFS: DS and MDS with different security mechanisms in use
55	pNFS: attribute hint to help determine when to write through MDS vs DS
57	pnfs: private layout range
58	pnfs: layout return flag for fsid returns
61	pnfs: section 14.7.4 lingering write paragraph
62	Sessions: Reserved slotid values needed
63	Revise locking chapter to reflect sessions
64	Explanatory text on stateid contradicts self and rest of protocol
65	Need way for client to acknowledge revocations
69	pnfs: file-layout striping structure
70	change refrences to RFC1832 to RFC4506
71	The draft needs an introductory chapter
75	Create .x file
85	Ops obsoleted by sessions -- obsolete them
98	can callback traffic show up on any connection?
99	SEQUENCE reply should indicate to client if callback GSS contexts have 
100	CREATECLIENTID references RFC3530 for delegation recovery
102	pnfs: new layout type definition requirements
104	pnfs: removing CB_SIZECHANGED

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4